Bug 1425493 - Vm pool auto storage domain target selection option doesn't exist in REST API
Summary: Vm pool auto storage domain target selection option doesn't exist in REST API
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RestAPI
Version: 4.1.1.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.2
: 4.1.2
Assignee: Shahar Havivi
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-21 15:00 UTC by sefi litmanovich
Modified: 2017-05-23 08:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
With this release, when creating virtual machine pools using a template that is present in more than one storage domain, virtual machine disks can be distributed to multiple storage domains add the tag: <auto_storage_select>true</auto_storage_select> to the pool creation
Clone Of:
Environment:
Last Closed: 2017-05-23 08:22:43 UTC
oVirt Team: Virt
tjelinek: ovirt-4.1?
tjelinek: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 72963 master MERGED VmPool: add auto_storage_select field 2017-03-01 08:57:56 UTC
oVirt gerrit 72964 master MERGED api: add auto_storage_select field to VmPoolMapper 2017-03-07 08:16:11 UTC
oVirt gerrit 73308 model_4.1 MERGED VmPool: add auto_storage_select field 2017-03-01 08:58:20 UTC
oVirt gerrit 73643 ovirt-engine-4.1 MERGED api: add auto_storage_select field to VmPoolMapper 2017-03-07 13:54:47 UTC
Red Hat Bugzilla 1081536 None None None Never

Internal Links: 1081536

Description sefi litmanovich 2017-02-21 15:00:46 UTC
Description of problem:

https://bugzilla.redhat.com/show_bug.cgi?id=1081536 adds the option, upon create vm pool from a template with disk on several SDs, to let the system automatically choose which disk to write on which SD.
The option appears in resource allocation tab of create vm pool menu.
This option doesn't exist via REST API.
I would add this as an extra variable to the vm pool POST call body, maybe <auto_storage_allocation>true<auto_storage_allocation/>.

Version-Release number of selected component (if applicable):
rhevm-4.1.1.2-0.1.el7.noarch

Comment 1 Israel Pinto 2017-05-03 10:10:01 UTC
Verify with: RHVM Version: 4.1.2-0.1.el7
Steps:
Create VM with 'auto_storage_select' flag 'ture'
<vm_pool>
    <name>vm_pool_test</name>
    <max_user_vms>1</max_user_vms>
    <prestarted_vms>0</prestarted_vms>
    <size>2</size>
    <type>automatic</type>
    <cluster id="52c5898a-0f95-471f-9790-37c697986c92"> </cluster>
    <template id="188645bd-ba75-4654-9135-ac0265f3df8e"/>
    <auto_storage_select>true</auto_storage_select>
</vm_pool>

Results:
VM pool created.

Comment 2 Israel Pinto 2017-05-03 10:10:48 UTC
(In reply to Israel Pinto from comment #1)
> Verify with: RHVM Version: 4.1.2-0.1.el7
> Steps:
> Create VM with 'auto_storage_select' flag 'true' (my mistake)
> <vm_pool>
>     <name>vm_pool_test</name>
>     <max_user_vms>1</max_user_vms>
>     <prestarted_vms>0</prestarted_vms>
>     <size>2</size>
>     <type>automatic</type>
>     <cluster id="52c5898a-0f95-471f-9790-37c697986c92"> </cluster>
>     <template id="188645bd-ba75-4654-9135-ac0265f3df8e"/>
>     <auto_storage_select>true</auto_storage_select>
> </vm_pool>
> 
> Results:
> VM pool created.


Note You need to log in before you can comment on or make changes to this bug.